---
type: api
title: Delete a value list
description: Delete a value list using the list ID.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v0/operation/operation-deletelist
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v0/operation/operation-deletelist
products:
  - Kibana
---

# Delete a value list

- Server: `https://{kibana_url}`

## Paths

- `DELETE` `/api/lists`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v0/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v0/authentication#basicauth)

## Description

Delete a value list using the list ID.
> info
> When you delete a list, all of its list items are also deleted.

## Query String Parameters

- `id` (string · min: 1)
  Value list identifier to delete, including all of its list items.
- `deleteReferences` (boolean · default: false)
  Determines whether exception items referencing this value list should be deleted.
- `ignoreReferences` (boolean · default: false)
  Determines whether to delete value list without performing any additional checks of where this list may be utilized.

## Responses

#### `200`

Successful response

`application/json`

- `_version` (string)
  The version id, normally returned by the API when the document is retrieved. Use it ensure updates are done against the latest version.
- `@timestamp` (string)
- `created_at` (string)
  Autogenerated date of object creation.
- `created_by` (string)
  Autogenerated value - user that created object.
- `description` (string · min: 1)
  Describes the value list.
- `id` (string · min: 1)
  Value list's identifier.
- `immutable` (boolean)
- `meta` (object)
  Placeholder for metadata about the value list.
- `name` (string · min: 1)
  Value list's name.
- `tie_breaker_id` (string)
  Field used in search to ensure all containers are sorted and returned correctly.
- `type` (enum)
  Specifies the Elasticsearch data type of excludes the list container holds. Some common examples:

- `keyword`: Many ECS fields are Elasticsearch keywords
- `ip`: IP addresses
- `ip_range`: Range of IP addresses (supports IPv4, IPv6, and CIDR notation)
  Values: `binary`, `boolean`, `byte`, `date`, `date_nanos`, `date_range`, `double`, `double_range`, `float`, `float_range`, `geo_point`, `geo_shape`, `half_float`, `integer`, `integer_range`, `ip`, `ip_range`, `keyword`, `long`, `long_range`, `shape`, `short`, `text`
- `updated_at` (string)
  Autogenerated date of last object update.
- `updated_by` (string)
  Autogenerated value - user that last updated object.
- `version` (integer · min: 1)
  The document version number.
#### `400`

Invalid input data response

`application/json`

One of:
- **PlatformErrorResponse**
  - `error` (string)
  - `message` (string)
  - `statusCode` (integer)
- **SiemErrorResponse**
  - `message` (string)
  - `status_code` (integer)
#### `401`

Unsuccessful authentication response

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (integer)
#### `403`

Not enough privileges response

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (integer)
#### `404`

List not found response

`application/json`

- `message` (string)
- `status_code` (integer)
#### `500`

Internal server error response

`application/json`

- `message` (string)
- `status_code` (integer)
## Code Examples

#### Console

```console
DELETE /api/lists?id={id}
```

#### curl

```curl
curl -X DELETE "https://{kibana_url}/api/lists?id={id}"
```

## Response Examples

#### Ip list

```json
{
  "_version": "WzIsMV0=",
  "@timestamp": "2025-01-08T04:47:34.273Z",
  "created_at": "2025-01-08T04:47:34.273Z",
  "created_by": "elastic",
  "description": "List of bad internet ips.",
  "id": "21b01cfb-058d-44b9-838c-282be16c91cd",
  "immutable": false,
  "name": "Bad ips",
  "tie_breaker_id": "f5508188-b1e9-4e6e-9662-d039a7d89899",
  "type": "ip",
  "updated_at": "2025-01-08T05:39:39.292Z",
  "updated_by": "elastic",
  "version": 3
}
```

#### Bad

```json
{
  "error": "Bad Request",
  "message": "[request query]: id: Required",
  "statusCode": 400
}
```

#### Unauthorized

```json
{
  "error": "Unauthorized",
  "message": "[security_exception\\n\\tRoot causes:\\n\\t\\tsecurity_exception: unable to authenticate user [elastic] for REST request [/_security/_authenticate]]: unable to authenticate user [elastic] for REST request [/_security/_authenticate]",
  "statusCode": 401
}
```

#### Forbidden

```json
{
  "error": "Forbidden",
  "message": "API [DELETE /api/lists?id=ip_list] is unauthorized for user, this action is granted by the Kibana privileges [lists-all]",
  "statusCode": 403
}
```

#### Not found

```json
{
  "message": "list id: \\\u0022ip_list\\\u0022 was not found",
  "status_code": 404
}
```

#### Server error

```json
{
  "message": "Internal Server Error",
  "status_code": 500
}
```

